Upgrade to Java 8 for cirrus / elasticsearch
Closed, ResolvedPublic

Description

Upgrading to Java 8 will be required for elasticsearch 5. Doing it ahead of time will allow to already test our code against Java 8. Anyway, upgrading to Java 8 is a good idea since Java 7 is mostly end of life. Major Java upgrade are usually painless, this should be a fairly trivial upgrade.

Gehel created this task.Nov 22 2016, 3:03 PM
Gehel triaged this task as High priority.Nov 23 2016, 12:49 PM

Change 323154 had a related patch set uploaded (by Gehel):
elasticsearch - upgrade to Java 8

https://gerrit.wikimedia.org/r/323154

Gehel claimed this task.

Change 323154 merged by Gehel:
elasticsearch - upgrade to Java 8

https://gerrit.wikimedia.org/r/323154

Mentioned in SAL (#wikimedia-releng) [2016-11-30T17:11:01Z] <gehel> rolling restart of deployment-elastic0* - upgrade to Java 8 - T151325

Mentioned in SAL (#wikimedia-releng) [2016-11-30T17:22:24Z] <gehel> restart of logstash on deployment-logstash2 - upgrade to Java 8 - T151325

Change 324704 had a related patch set uploaded (by Gehel):
logstash - upgrade to Java 8

https://gerrit.wikimedia.org/r/324704

Change 324704 merged by Gehel:
logstash - upgrade to Java 8

https://gerrit.wikimedia.org/r/324704

Mentioned in SAL (#wikimedia-operations) [2016-12-01T15:06:14Z] <gehel> upgrading logstash to Java 8, including rolling restart - T151325

Change 325276 had a related patch set uploaded (by Gehel):
elasticsearch - upgrade codfw cluster to Java 8

https://gerrit.wikimedia.org/r/325276

Change 325276 merged by Gehel:
elasticsearch - upgrade codfw cluster to Java 8

https://gerrit.wikimedia.org/r/325276

Mentioned in SAL (#wikimedia-operations) [2016-12-06T12:09:37Z] <gehel> starting elasticsearch codfw cluster restart for Java 8 upgrade - T151325

Mentioned in SAL (#wikimedia-operations) [2016-12-08T10:18:06Z] <gehel> restarting elasticsearch codfw cluster restart for Java 8 upgrade - T151325

Mentioned in SAL (#wikimedia-operations) [2016-12-08T12:48:00Z] <gehel> restarting elasticsearch eqiad cluster restart for Java 8 upgrade - T151325

Mentioned in SAL (#wikimedia-operations) [2016-12-08T15:44:26Z] <gehel> restarting elasticsearch relforge cluster for Java 8 upgrade - T151325

Deskana moved this task from Uncategorised to Technical on the CirrusSearch board.Dec 8 2016, 6:12 PM
Deskana closed this task as Resolved.Dec 9 2016, 3:16 PM